httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Graham Leggett <minf...@sharp.fm>
Subject Re: ap_expr problems
Date Sun, 24 Oct 2010 12:19:56 GMT
On 23 Oct 2010, at 1:36 PM, Stefan Fritsch wrote:

> Since we won't be able to change the ap_expr syntax in any significant
> way after 2.4 has been released, we should try to do it right in 2.4.
> Therefore I suggest to replace it with something that is closer to
> ssl_expr. Initially, I thought it would be nice to have a SSI
> compatibility mode, but now I think it would be cleaner to just stick
> the SSI expression parser back into mod_include and not deal with it
> further. On the other hand, maybe it is possible to make ap_expr
> syntax compatible with ssl_expr and replace it. If not, at least the
> evaluation logic should be shared between ap_expr and ssl_expr.
>
> Thoughts, comments?

If we can collapse this into a common parser, I think it would be a  
good thing, assuming it's practical.

Regards,
Graham
--


Mime
View raw message